OpenTTD Source: IniItem Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
IniItem Struct Reference

A single "line" in an ini file. More...

`#include <ini_type.h>`

## Public Member Functions
| IniItem (std::string_view name)
| Construct a new in-memory item of an Ini file.
void | SetValue (std::string_view value)
| Replace the current value with another value.

## Data Fields
std::string | name
| The name of this item.
std::optional< std::string > | value
| The value of this item.
std::string | comment
| The comment associated with this item.

## Detailed Description

A single "line" in an ini file.

Definition at line 23 of file ini_type.h.

## Constructor & Destructor Documentation

## ◆ IniItem()

IniItem::IniItem | ( | std::string_view | name | ) |

Construct a new in-memory item of an Ini file.

Parameters

  parent | the group we belong to
  name | the name of the item

Definition at line 23 of file ini_load.cpp.

References name, and StrMakeValid().

## Member Function Documentation

## ◆ SetValue()

void IniItem::SetValue | ( | std::string_view | value | ) |

Replace the current value with another value.

Parameters

  value | the value to replace with.

Definition at line 32 of file ini_load.cpp.

References value.

Referenced by GraphicsSetSaveConfig(), IniSaveSettingList(), HotkeyList::Save(), and SaveVersionInConfig().

## Field Documentation

## ◆ comment

std::string IniItem::comment

The comment associated with this item.

Definition at line 26 of file ini_type.h.

Referenced by IniLoadFile::LoadFromDisk().

## ◆ name

std::string IniItem::name

The name of this item.

Definition at line 24 of file ini_type.h.

Referenced by GRFLoadConfig(), IniItem(), and IniGroup::RemoveItem().

## ◆ value

std::optional<std::string> IniItem::value

The value of this item.

Definition at line 25 of file ini_type.h.

Referenced by DumpLine(), DumpSections(), BaseSet< T, Tnum_files, Tsearch_in_tars >::FillSetDetails(), FindItemValue(), GraphicsSetLoadConfig(), GRFLoadConfig(), IniSaveSettings(), IntSettingDesc::IsSameValue(), StringSettingDesc::IsSameValue(), HotkeyList::Load(), LoadFromConfig(), IniLoadFile::LoadFromDisk(), IntSettingDesc::ParseValue(), StringSettingDesc::ParseValue(), ListSettingDesc::ParseValue(), and SetValue().

The documentation for this struct was generated from the following files:

- src/ini_type.h
- src/ini_load.cpp